Page MenuHomeFreeBSD

Don't check for broadcast IPs on non-bcast pkts
ClosedPublic

Authored by rstone on Jul 25 2016, 6:06 PM.

Details

Summary

in_broadcast() can be quite expensive, so skip calling it if the
incoming mbuf wasn't sent to a broadcast L2 address in the first
place.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rstone retitled this revision from to Don't check for broadcast IPs on non-bcast pkts.
rstone edited the test plan for this revision. (Show Details)
rstone updated this object.
gnn added a reviewer: gnn.
This revision is now accepted and ready to land.Jul 25 2016, 10:08 PM
rstone edited edge metadata.

Add sysctl to control new UDP receive behaviour, and document it
in UPDATING.

This revision now requires review to proceed.Aug 8 2016, 2:57 PM
gnn edited edge metadata.
This revision is now accepted and ready to land.Aug 11 2016, 4:08 PM
This revision was automatically updated to reflect the committed changes.